<?php
	
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - Weby+
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * @bin.wy_actualizador
	 *
	 * Sistema de actualizacion WebyPlus.
	 *
	 */
	 
	
	/* Autorizo acceso */
		defined('WY_INI_WEBY') or die( 'No dispones de acceso' );
	
	
	/**
	 * $url = url_exists( "http://ejemplo.com/una-url-a-comprobar" );
	 */
	function url_exists( $url = NULL ) {
		return url_existe( $url );
	}

	/*
	 * Funcion para buscar actualizaciones
	 */
	function nueva_app()
	{
		$datos	= json_decode( conn_actualizador() );
		return $datos;
	}
	
	/*function buscar_actualizaciones()
	{
		if( url_exists( WYCFG_App_ActualizadorXML ) ){
			$actualizacionesXML = file_get_contents( WYCFG_App_ActualizadorXML );
			$Actualizar = simplexml_load_string( $actualizacionesXML );
			return $Actualizar->actualizar;
		}
		return false;
	}
	
	/*
	 * Buscar si hay acrualizaciones disponibles
	 */
	/*function actualizarApp( $RetornoMsj = false )
	{
		if( buscar_actualizaciones() ){
			//buscar_actualizaciones()->downloads->downloadurl
			$lnkActualizarApp = '<a href="' . post_link( 'actualizar' ) . '" title="Descargar actualización">Descargar ahora</a>';
			
			if( buscar_actualizaciones()->version > WYCFG_App_Version )
				return ( $RetornoMsj != false ) ? wyp_mensaje( '&iexcl;Ya está disponible la versión Weby+ ' . buscar_actualizaciones()->version . '! ' . $lnkActualizarApp, "Atento" ) : true;
		}
		
		// Si no hay actualizaciones de aplicación retorno valor falso
		return false;
	}*/
	
	function actualizarApp( $RetornoMsj = false )
	{
		$version	= str_replace( '.', '', nueva_app()->version );
		$version_a	= str_replace( '.', '', App_Version );
			
		$lnkActualizarApp = '<a href="' . post_link( 'actualizar' ) . '" title="Descargar actualización">Descargar ahora</a>';
			
			if( $version > $version_a ){
				return msg_error( '&iexcl;Ya está disponible la versión Weby+ ' . nueva_app()->version . '! ' . $lnkActualizarApp, "", "m-atento" );
			}else{
				return '<div style="font-size:small;color:#999;margin-bottom:10px;">Tu versión Weby+ está actualizada.</div>';
				//return wyp_mensaje( '&iexcl;Ya está disponible la versión Weby+ ! <a href="' . post_link( 'actualizar' ) . '" title="Descargar actualización">Descargar ahora</a>', "Atento" );
			}
	}
	
	/*
	 * funcion para conectar con actualizador
	 */
	function conn_actualizador(){
		if (function_exists('curl_init')) {
			
			$ch = curl_init();
				curl_setopt($ch, CURLOPT_URL, App_ActualizadorXML);
            	curl_setopt($ch, CURLOPT_TIMEOUT, 30);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);				
				curl_setopt($ch, CURLOPT_FAILONERROR, true);
				curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false); 
				curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		
			$res = curl_exec ($ch);
			
			if ( !($res) ) {
					$errno = curl_errno($ch);
					$errstr = curl_error($ch);
					curl_close($ch);
					//throw new Exception("cURL error: [$errno] $errstr");
					return die("cURL error: [$errno] $errstr");
			}
		
			curl_close($ch);
			
			return $res;
		}
		return '{"version":"0","url_descarga":"#"}';
	}
	
	/*
	 * funcion para descargar App
	 */
	function descargarApp()
	{
		$appXML = file_get_contents( YPATH . YDS . '/xml/app-webyplus.xml' );
		$App = simplexml_load_string( $appXML );
		return $App->aplicacion;
	}
	
	
	
	
	
?>